import { Vue } from "vue-property-decorator";
export default class DatePicker extends Vue {
    value: Date;
    isShowPreview: boolean;
    dateAsString: string;
    modelDate: Date;
    hours: number;
    minutes: number;
    isShowDatePicker: boolean;
    get label(): string;
    updateModelFromDatePicker(dateAsString: string): void;
    input(date: Date): Date;
    showPreview(value: boolean): boolean;
    emitInput(): void;
}
